﻿@model Tuple<List<ARGNSContainerView>, ShipmentMembersView>

@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Shipment.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Shipment.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.Shipment.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Shipment.ShipmentList</h3>
    </div>
    <br />
    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                @if (Model.Item1.Count > 0)
                {
                    <thead>
                        <tr>
                            <th>@Shipment.InternalShpment  #</th>
                            <th>@Shipment.ShMent #</th>
                            <th>@Shipment.Broker</th>
                            <th>@Shipment.Status</th>
                            <th>@Shipment.ShipVia</th>
                            <th>@Shipment.PE</th>
                            <th>@Shipment.ASD</th>
                            <th>@Shipment.AAD</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (ARGNSContainerView item in Model.Item1)
                        {
                            ARGNSContainerStatusView statusAux = Model.Item2.ListStatus.Where(c => c.Code == item.U_Status).FirstOrDefault();
                            FreightView freightAux = Model.Item2.ListFreight.Where(c => c.ExpnsCode.ToString() == item.U_ShipVia).FirstOrDefault();
                            ARGNSContainerPortView portAux = Model.Item2.ListPort.Where(c => c.Code == item.U_POE).FirstOrDefault();
                            <tr>
                                <td>@item.DocEntry</td>
                                <td>@item.U_Shipment</td>
                                <td>@item.U_Broker</td>
                                <td>@((item.U_Status != null && item.U_Status != "") ? (statusAux != null ? statusAux.Name : "") : "")</td>
                                <td>@((item.U_ShipVia != null && item.U_ShipVia != "") ? (freightAux != null ? freightAux.ExpnsName : "") : "")</td>
                                <td>@((item.U_POE != null && item.U_POE != "") ? (portAux != null ? portAux.U_Description : "") : "")</td>
                                <td>@((item.U_ASD != null && item.U_ASD != DateTime.MinValue) ? item.U_ASD.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>@((item.U_ADA != null && item.U_ADA != DateTime.MinValue) ? item.U_ADA.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>
                                    @if (_View)
                                    {
                                        <a href='@Url.Action("_Shipment", "Shipment", new { @ActionShipment = "View", @pShipmentID = item.DocEntry})' class="btn btn-primary btn-xs">
                                            <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.View
                                        </a>
                                    }
                                    @if (_Update)
                                    {
                                        <a href='@Url.Action("_Shipment", "Shipment", new { @ActionShipment = "Update", @pShipmentID = item.DocEntry })' class="btn btn-primary btn-xs">
                                            <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.Edit
                                        </a>
                                    }
                                </td>
                            </tr>
                        }

                    </tbody>
                }
            </table>
        </div>

    </div>

</div>

@if (_Add)
{
    <div class="col-md-2 pull-right but_blok_footer">
        <a href='@Url.Action("_Shipment", "Shipment", new { @ActionShipment = "Add", @pShipmentID = 0, @pFromController = "Shipment" })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@PDM.Add
        </a>
    </div>
}